org.apache.maven.scm

## Class AbstractScmVersion

- java.lang.Object
- - org.apache.maven.scm.AbstractScmVersion

All Implemented Interfaces:
  Serializable, ScmVersion

Direct Known Subclasses:
  ScmBranch, ScmRevision

    public abstract class AbstractScmVersion
    extends Object
    implements ScmVersion, Serializable

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AbstractScmVersion(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`void` `setName(String name)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.ScmVersion

`getType`

### Constructor Detail

#### AbstractScmVersion

    public AbstractScmVersion(String name)

Parameters:
  `name` - could be null

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `ScmVersion`
Returns:
  the Version name

#### setName

    public void setName(String name)

Specified by:
  `setName` in interface `ScmVersion`
Parameters:
  `name` - new Version name could be null

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`